Skip to content

List Users

GET
/v1/users/

List all users in this tenant.

limit
Limit

Records per page

integer
default: 50 >= 1 <= 200

Records per page

after
Any of:
string

Cursor from previous page’s next_cursor

Successful Response

PaginatedResponse[UserSummary]
object
data
required
Data
Array<object>
UserSummary

Lightweight User projection for use in nested / list responses.

object
id
required
Id
string format: uuid
email
required
Email
string
first_name
required
First Name
string
last_name
required
Last Name
string
avatar_url
Any of:
string
is_active
required
Is Active
boolean
pagination
required
PaginationMeta

Pagination metadata included in list responses.

object
has_more
required
Has More
boolean
next_cursor
Any of:
string
total
Any of:
integer
meta
ResponseMeta

Metadata included in every response envelope.

object
request_id
Any of:
string
organization_id
Any of:
string

Validation Error

HTTPValidationError
object
detail
Detail
Array<object>
ValidationError
object
loc
required
Location
Array
msg
required
Message
string
type
required
Error Type
string
input
Input
ctx
Context
object